#ifndef PIQT_IODEVICE_EDIT_DIALOG_H
#define PIQT_IODEVICE_EDIT_DIALOG_H

#include <QDialog>
#include "qad_types.h"
#include "propertystorage.h"

namespace Ui {
	class IODeviceEditDialog;
}

class IODeviceEditDialog: public QDialog {
	Q_OBJECT
public:
	explicit IODeviceEditDialog(QWidget * parent = 0);
	~IODeviceEditDialog();
	
	QAD::IODevice getIODevice(const QAD::IODevice & d);

private:
	QAD::IODevice value() const;
	void setValue(const QAD::IODevice & d);
	int getOptions() const;
	void setOptions(int o);

	PropertyStorage ps;
	Ui::IODeviceEditDialog * ui;
	
private slots:
	void on_comboType_currentIndexChanged(int index);
	
};

#endif // PIQT_IODEVICE_EDIT_DIALOG_H
